#include "partition.h"
#include <bits/stdc++.h>
using namespace std;

std::vector<int> solve(std::vector<int> a) {
    vector<pair<int,int>>v(a.size());
    int n = v.size();
    for ( int i = 0 ; i < n ; ++ i ) v[i]=make_pair(a[i],i);
    sort(v.begin(),v.end());
    int mij = n / 2 ;
    vector<int>r ;
    int nr = 1 ;
    int i = 0 ;
    for ( i = 0 ; i < n && nr < mij ; ++ i , ++ nr ) r.push_back(v[i].second);
    r.push_back(v[n-1].second);
    for ( ; i < n - 1 ; ++ i ) r.push_back(v[i].second);
    return r ;
}

